跳到主要内容

检查点

检索由证明者节点生成的加密同步检查点列表,允许客户端根据特定块高度验证数据完整性。

端点

POST https://indexer.zcashnames.co/v1.0/checkpoints

请求正文

请求正文必须是包含以下参数的 JSON 对象:

参数类型默认描述
countinteger100100限制单个响应中返回的检查点的最大数量。
from_blockinteger请求从该特定块高度开始的检查点数据。
orderstringdesc检查点的排序顺序。接受的值:ascdesc

代码示例

curl -X POST https://indexer.zcashnames.co/v1.0/checkpoints \
-H "Content-Type: application/json" \
-d '{
"count": 2,
"from_block": 1,
"order": "asc"
}'

响应示例

{
"response": [
{
"block_id": 3422048,
"smt_root": "b4c9dacf8e194e353dce7638d76f282fe40399f7b0ad74a2229a6d4f5be774de",
"evm_block_id": 290453948,
"evm_tx_hash": "0xcfc86b34ad55450b73511d9ce5b5d33e5e0e2366ceb7ae7e81bdcce62f57de38"
},
{
"block_id": 3422335,
"smt_root": "eba675788f0fbf1df8a3c32e83da3e71dfd9337cca5a7c8ae2f51e963d03be17",
"evm_block_id": 290504572,
"evm_tx_hash": "0x9f943993b6e6430fe3da448c52b122342c0a629e7eca520d1d22df063c22002b"
}
]
}
领域类型描述
block_id整数检查点中包含的最后一个 ZCash block_id
smt_root字符串Checkpoint 的 SMT 根
evm_block_id字符串检查点创建的 EVM block_id
evm_tx_hash字符串检查点创建的 EVM tx_hash